import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$2 } from './p-Dh-Mxr8V.js';

const DgaRatingUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaRatingUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.variant = 'neutral';
        this.rating = 2.5;
    }
    render() {
        return (h("div", { key: '180e26b6a0ecb0b68b09cf3907afdb8a847d3428', dir: "rtl" }, h("h1", { key: 'f22c3971f7ce0072016d8e5a36e1411a213cbb52' }, "Rating Example"), h("div", { key: '4d15b315a1fbe4f3ffeffc6a666b16387a82998e', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: '42dccc661806e211de71d588aa0dad63daf102ba', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("button", { key: '6ed46b9443b2e9b5398162afd712cf01bfc11674', onClick: () => (this.rating += 1) }, "Increase ", this.rating), h("dga-rating", { key: '2c1130dac47f81912b6d316a1c7a7fd90ffc9c01', onChange: val => {
                this.rating = val;
            }, value: this.rating, size: "lg" }), h("dga-rating", { key: '9009a6449eef66401f6293472e3e79c78ca42174', onChange: val => (this.rating = val), value: 2.5, size: "md" }), h("dga-rating", { key: 'd3bdd14b1ea983d5e6fa7e866adbe8da9016510c', onChange: val => (this.rating = val), value: this.rating, size: "sm" })), h("div", { key: 'a9704758b7ecb382a299bf04c1e6acedcc343bf0', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }))));
    }
}, [0, "dga-rating-usage", {
        "variant": [32],
        "rating": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-rating-usage", "dga-rating"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-rating-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaRatingUsage$1);
            }
            break;
        case "dga-rating":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaRatingUsage = DgaRatingUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaRatingUsage, defineCustomElement };
